services:
    form.type.cmsprivacytype:
        class: Twtools\CmsBundle\Form\Type\PrivacyType
        tags:
            - { name: form.type, alias: cmsprivacy }
    form.type.cmsformattype:
        class: Twtools\CmsBundle\Form\Type\FormatType
        tags:
            - { name: form.type, alias: cmsformat }
    form.type.cmscommenttype:
        class: Twtools\CmsBundle\Form\Type\CommentType
        tags:
            - { name: form.type, alias: cmscomment }
    transformer.filter.CmsCommentTransformer:
        class: Twtools\CmsBundle\Filter\Transformer\CommentTransformer
    transformer.filter.CmsPrivacyTransformer:
        class: Twtools\CmsBundle\Filter\Transformer\PrivacyTransformer
    transformer.filter.CmsFormatTransformer:
        class: Twtools\CmsBundle\Filter\Transformer\FormatTransformer
    twig.extension.CmsTwigExtensions:
        class: Twtools\CmsBundle\Twig\Extension\CmsTwigExtensions
        arguments: [@service_container, @translator]
        tags:
           - { name: twig.extension }
    extension.listener.cms:
        class: Twtools\CmsBundle\Listener\CmsAdminListener
        calls:
            - [ setContainer, [ @service_container ] ]
        tags:
            - { name: kernel.event_listener, event: kernel.request, method: onLateKernelRequest, priority: -10 }
    twtools_cms.log.handler:
        class: Twtools\CmsBundle\Handler\CmsLogHandler
        arguments: [@service_container]
